// biome-ignore lint/style/useImportType: used by Next.js
import { Injectable, OnModuleInit } from "@nestjs/common";
// biome-ignore lint/style/useImportType: used by Next.js
import { DrizzleService } from "src/drizzle/drizzle.service";
import { UsersTable } from "src/schema";
// biome-ignore lint/style/useImportType: used by Next.js
import { CredentialsService } from "src/credentials/credentials.service";

@Injectable()
export class AuthService implements OnModuleInit {
	constructor(
		private db: DrizzleService,
		private credentials: CredentialsService
	) {}
	doRegister() {}
	doLogin() {}
	async fetchUser(userId: string) {
		const userInDb = await this.db.use().select().from(UsersTable);
		console.log("Users : \n", userInDb);
	}
	updateUser() {}
	deleteUser() {}

	async onModuleInit() {
		await this.fetchUser("ee");
	}
}
